
From: Adrian Bunk <bunk@stusta.de>

The patch below removes two unused functions from DRM.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Acked-by: Dave Airlie <airlied@linux.ie>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                           |    0 
 25-akpm/drivers/char/drm/i810_dma.c |   18 ------------------
 25-akpm/drivers/char/drm/i915_dma.c |   18 ------------------
 3 files changed, 36 deletions(-)

diff -puN drivers/char/drm/i810_dma.c~drm-remove-unused-functions-fwd drivers/char/drm/i810_dma.c
--- 25/drivers/char/drm/i810_dma.c~drm-remove-unused-functions-fwd	Thu Dec  9 13:36:40 2004
+++ 25-akpm/drivers/char/drm/i810_dma.c	Thu Dec  9 13:36:40 2004
@@ -50,24 +50,6 @@
 #define up_write up
 #endif
 
-static inline void i810_print_status_page(drm_device_t *dev)
-{
-   	drm_device_dma_t *dma = dev->dma;
-      	drm_i810_private_t *dev_priv = dev->dev_private;
-	u32 *temp = dev_priv->hw_status_page;
-   	int i;
-
-   	DRM_DEBUG(  "hw_status: Interrupt Status : %x\n", temp[0]);
-   	DRM_DEBUG(  "hw_status: LpRing Head ptr : %x\n", temp[1]);
-   	DRM_DEBUG(  "hw_status: IRing Head ptr : %x\n", temp[2]);
-      	DRM_DEBUG(  "hw_status: Reserved : %x\n", temp[3]);
-	DRM_DEBUG(  "hw_status: Last Render: %x\n", temp[4]);
-   	DRM_DEBUG(  "hw_status: Driver Counter : %d\n", temp[5]);
-   	for(i = 6; i < dma->buf_count + 6; i++) {
-	   	DRM_DEBUG( "buffer status idx : %d used: %d\n", i - 6, temp[i]);
-	}
-}
-
 static drm_buf_t *i810_freelist_get(drm_device_t *dev)
 {
    	drm_device_dma_t *dma = dev->dma;
diff -L drivers/char/drm/i810_dma.c.old -puN /dev/null /dev/null
diff -puN drivers/char/drm/i915_dma.c~drm-remove-unused-functions-fwd drivers/char/drm/i915_dma.c
--- 25/drivers/char/drm/i915_dma.c~drm-remove-unused-functions-fwd	Thu Dec  9 13:36:40 2004
+++ 25-akpm/drivers/char/drm/i915_dma.c	Thu Dec  9 13:36:40 2004
@@ -12,24 +12,6 @@
 #include "i915_drm.h"
 #include "i915_drv.h"
 
-static inline void i915_print_status_page(drm_device_t * dev)
-{
-	drm_i915_private_t *dev_priv = dev->dev_private;
-	u32 *temp = dev_priv->hw_status_page;
-
-	if (!temp) {
-		DRM_DEBUG("no status page\n");
-		return;
-	}
-
-	DRM_DEBUG("hw_status: Interrupt Status : %x\n", temp[0]);
-	DRM_DEBUG("hw_status: LpRing Head ptr : %x\n", temp[1]);
-	DRM_DEBUG("hw_status: IRing Head ptr : %x\n", temp[2]);
-	DRM_DEBUG("hw_status: Reserved : %x\n", temp[3]);
-	DRM_DEBUG("hw_status: Driver Counter : %d\n", temp[5]);
-
-}
-
 /* Really want an OS-independent resettable timer.  Would like to have
  * this loop run for (eg) 3 sec, but have the timer reset every time
  * the head pointer changes, so that EBUSY only happens if the ring
diff -L drivers/char/drm/i915_dma.c.old -puN /dev/null /dev/null
_
